# Modify Payee (for updating rejected payee info)

Modify payee information

Endpoint: POST /api/v2/merch/beneficiary/update
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `request_id` (string, required)
    Request number, Unique within the requesting system

  - `type` (string, required)
    Purpose (Required): PAYMENT-Collection, WITHDRAWAL-Withdrawal

  - `beneficiary` (object, required)
    CollectionPeopleInformation

  - `beneficiary.purpose` (string, required)
    CollectionType PFG-payment LWF-Logistics warehousing fee ASF-advertising service fee TSF-technical service fee CSF-consulting service fee OTHER-Other Data dictionary:PAYEE_TYPE
    Enum: "PFG", "LWF", "ASF", "TSF", "CSF", "OTHER"

  - `beneficiary.purpose_desc` (string)
    CollectionType description, Required when OtherCollectionType (Max 100 characters), Required when purpose is OTHER

  - `beneficiary.country` (string, required)
    Country code, Use ISO3166-2 standard 2-digit Country code, non-sanctioned Country (See appendix)

  - `beneficiary.industry` (integer)
    Mainly engaged in Industry (See attachment), Required when the company has a public account and is a member of the Collection

  - `beneficiary.main_industry` (string)
    Main Industrycode (see new IndustryAttachment), Required when the company Account is a Collection member, and one of industry and main_industryRequired; subsequent versions of industry will be abandoned, please modify it as soon as possible

  - `beneficiary.sub_industry` (array)
    Sub-camp Industrycode (see new IndustryAttachment), can be passed when main_industryRequired

  - `beneficiary.nick_name` (string)
    Account nickname(Max 100 characters)

  - `beneficiary.first_name` (string)
    Beneficiary first name (Overseas Collection person-to-private Required) (Max 100 characters)

  - `beneficiary.last_name` (string)
    Beneficiary last name (overseas Collection person-to-private Required) (Max 100 characters)

  - `beneficiary.doc_type` (string)
    ID DocumentType (domestic individual AccountRequired), domestic individual AccountRequired and is ID_CARD

  - `beneficiary.id_number` (string)
    ID Document number (domestic personal AccountRequired) (Max 100 characters)

  - `beneficiary.uni_social_credit` (string)
    Unified Social Credit Code (domestic corporate AccountRequired) (Max 18 characters)

  - `beneficiary.address` (object)
    BeneficiaryAddressInformation

  - `beneficiary.address.province` (string, required)
    State/Province (United States/Canada/Mexico and BankCurrencyAccount is not CNYRequired)

  - `beneficiary.address.city` (string, required)
    City(overseas required)

  - `beneficiary.address.zipcode` (string, required)
    Postal code (required overseas)

  - `beneficiary.address.address1` (string, required)
    BankAccount holder Address (overseas Required)

  - `beneficiary.address.address2` (string)
    Address line 2

  - `bank_acc` (object, required)
    BankAccountInformation

  - `bank_acc.country` (string, required)
    Country code, Use ISO3166-2 standard 2-digit Country code, non-sanctioned Country (See appendix)

  - `bank_acc.currency` (string, required)
    Currency: EUR - Euro, USD - United States dollar, CNY - Chinese yuan, GBP - British pound, JPY - Japanese yen, AUD - Australian dollar, CAD - Canadian dollar, SGD - Singapore dollar, HKD - Hong Kong dollar, PHP - Philippine peso, CNH - offshore Chinese yuan
    Enum: "EUR", "USD", "CNY", "GBP", "JPY", "AUD", "CAD", "SGD", "HKD", "PHP", "CNH"

  - `bank_acc.acc_name` (string, required)
    AccountName(Max 100 characters)

  - `bank_acc.acc_type` (string, required)
    AccountType: PRIVATE-Personal Account, COMPANY-Enterprise Corporate
    Enum: "PRIVATE", "COMPANY"

  - `bank_acc.acc_no` (string)
    Bank account number, choose one from acc_no or iban

  - `bank_acc.payment_type` (string, required)
    Payment clearing network: LOCAL - local payment, SWIFT - international payment
    Enum: "LOCAL", "SWIFT"

  - `bank_acc.routing_code_type1` (string)
    Must when LOCAL clearing network (the enumeration value will be expanded as the business develops): ABA (local payment network code in the United States), FASTER_PAYMENT (local payment network code in the United Kingdom), CHAPS (local payment network code in the United Kingdom), SORT_CODE, BANK_CODE (see BankCodeAttachment for details within the country, and fill it out truthfully in Canada)

  - `bank_acc.routing_code_value1` (string)
    Must when routing_code_type1 is not empty

  - `bank_acc.routing_code_type2` (string)
    LOCAL clearing network sub-Type (the enumeration value will be expanded as the business develops): BRANCH_BANK_CODE (see BankCodeAttachment for details within the country, and fill in the details truthfully for overseas countries such as Canada)

  - `bank_acc.routing_code_value2` (string)
    Must when routing_code_type2 is not empty

  - `bank_acc.iban` (string)
    IBAN, unique to Eurozone Accounts, choose one of acc_no and iban

  - `bank_acc.bic_swift` (string)
    swift code or bic, when SWIFT clears the network, other countries and regions require Upload this Field (only supports 8 or 11 bits)
    Example: ABCDEFGH

  - `bank_acc.bank_acc_type` (string)
    BankAccountType CHECKING-Cheque SAVINGS-Debit Card
    Enum: "CHECKING", "SAVINGS"

  - `bank_acc.bank_addr` (string)
    Account OpeningBankDetailedAddress(overseas AccountRequired)(Max 100 characters)

  - `bank_acc.bank_name` (string)
    Account OpeningBankName(overseas AccountRequired; Max 100 characters)

  - `bank_acc.branch_bank_name` (string)
    Account OpeningBank Branch Name(Max 100 characters)

  - `bank_acc.phone` (string)
    Bank reserved mobile phone number (Mainland RMB private cash withdrawal)
    Example: 13800138000

  - `bank_acc.province` (string)
    Account OpeningBank belongs to Province (domestic Enterprise to corporate AccountRequired, See attachment)

  - `bank_acc.city` (string)
    City to which Account OpeningBank belongs (domestic Enterprise to corporate AccountRequired, See attachment)

  - `bank_acc.district` (string)
    Account OpeningBank belongs to the district (domestic Enterprise to corporate AccountRequired, See attachment)

  - `attachment` (object)
    OtherFileAttachment

  - `attachment.other_file_ids` (array)
    AttachmentFileid up to 7

  - `attachment.contract_file_id` (integer)
    ContractFile-UploadFileAPIReturn's id (when the destination is Collection, one of Contract/PI/LogisticsFile must be passed)

  - `attachment.logistics_file_id` (integer)
    LogisticsFile-UploadFileAPIReturn id (when the destination is Collection, Contract/PI/LogisticsFile must pass one)

  - `attachment.pi_file_id` (integer)
    PIFileid-the id of UploadFileAPIReturn (when the purpose is Collection, Contract/PI/LogisticsFile must pass one)

## Response 200 fields (*/*):

  - `msg` (string)
    Result description, not empty when Failed

  - `payee_id` (string)
    Collection person id, only Return after CreateSuccessful and ReviewApproved; ApprovedSpecifyCollection person id can be used during Payment InitiatePayment

  - `status` (string, required)
    PayerReviewStatus PENDING-Pending Review NORMAL-Normal REJECTED-ReviewNot approved
    Enum: "PENDING", "NORMAL", "REJECTED"

